package com.ruoyi.kaohe.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.kaohe.mapper.KhGatherMapper;
import com.ruoyi.kaohe.domain.KhGather;
import com.ruoyi.kaohe.service.IKhGatherService;

/**
 * 生成汇总Service业务层处理
 * 
 * @author hs
 * @date 2025-07-10
 */
@Service
public class KhGatherServiceImpl implements IKhGatherService 
{
    @Autowired
    private KhGatherMapper khGatherMapper;

    /**
     * 查询生成汇总
     * 
     * @param id 生成汇总主键
     * @return 生成汇总
     */
    @Override
    public KhGather selectKhGatherById(Long id)
    {
        return khGatherMapper.selectKhGatherById(id);
    }

    /**
     * 查询生成汇总列表
     * 
     * @param khGather 生成汇总
     * @return 生成汇总
     */
    @Override
    public List<KhGather> selectKhGatherList(KhGather khGather)
    {
        return khGatherMapper.selectKhGatherList(khGather);
    }

    /**
     * 新增生成汇总
     * 
     * @param khGather 生成汇总
     * @return 结果
     */
    @Override
    public int insertKhGather(KhGather khGather)
    {
        khGather.setCreateTime(DateUtils.getNowDate());
        return khGatherMapper.insertKhGather(khGather);
    }

    /**
     * 修改生成汇总
     * 
     * @param khGather 生成汇总
     * @return 结果
     */
    @Override
    public int updateKhGather(KhGather khGather)
    {
        khGather.setUpdateTime(DateUtils.getNowDate());
        return khGatherMapper.updateKhGather(khGather);
    }

    /**
     * 批量删除生成汇总
     * 
     * @param ids 需要删除的生成汇总主键
     * @return 结果
     */
    @Override
    public int deleteKhGatherByIds(Long[] ids)
    {
        return khGatherMapper.deleteKhGatherByIds(ids);
    }

    /**
     * 删除生成汇总信息
     * 
     * @param id 生成汇总主键
     * @return 结果
     */
    @Override
    public int deleteKhGatherById(Long id)
    {
        return khGatherMapper.deleteKhGatherById(id);
    }
}
